# $Revision: 1.49 $, $Date: 2010/07/08 17:21:31 $
# TODO:
#  Check if docs/*.pdf is generated using _installed_ ReportLab
#  so build may fail if ReportLab is not installed on builder
%bcond_without	doc
#
%define		module	ReportLab
%define		fversion	%(echo %{version} |tr . _)
Summary:	Python library for generating PDFs and graphics
Summary(pl.UTF-8):	Moduły Pythona do generowania PDF-ów oraz grafik
Name:		python-%{module}
Version:	2.4
Release:	3
License:	distributable
Group:		Libraries/Python
Source0:	http://www.reportlab.org/ftp/ReportLab_%{fversion}.tar.gz
# Source0-md5:	e6dc4b0fbfb6814f7777e5960774cb5d
Patch0:		%{name}-setup.patch
URL:		http://www.reportlab.org/
%{?with_doc:BuildRequires:	python-PIL}
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python
Requires:	python-PIL
Obsoletes:	ReportLab
Obsoletes:	python-ReportLab-barcode
Obsoletes:	python-ReportLab-renderPM
Obsoletes:	python-ReportLab-rl_accel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library written in Python that lets you generate platform
independant PDFs and graphics.
- PDF generation: uses Python, a clean OO language, layered
  architecture
- Graphics: provides primitive shapes, reusable widgets, sample
  collections including business chart and diagrams
- PythonPoint: a utility for generating PDF slides from a simple XML
  format

%description -l pl.UTF-8
Biblioteka napisana w Pythonie pozwalająca na generowanie niezależnych
od platformy PDF-ów oraz grafik.
- Generowanie PDF: używa Pythona, przejrzystego języka obiektowego o
  warstwowej architekturze
- Grafika: podstawowe figury geometryczne, kontrolki, a także
  przykłady, włączając w to wykresy i diagramy
- PythonPoing: narzędzie do generowania slajdów w formacie PDF z
  prostego formatu XML

%package examples
Summary:	Examples for ReportLab
Summary(pl.UTF-8):	Przykłady do biblioteki ReportLab
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}-%{release}

%description examples
Examples for ReportLab.

%description examples -l pl.UTF-8
Przykłady do biblioteki ReportLab.

%prep
%setup -q -n ReportLab_%{fversion}

%build
CFLAGS="%{rpmcflags}"; export CFLAGS
python setup.py build
%if %{with doc}
cd docs
PYTHONPATH=$(pwd)/../src python genAll.py
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

install -d $RPM_BUILD_ROOT{%{_bindir},%{_examplesdir}/%{name}-%{version}}
install tools/pythonpoint/pythonpoint.py $RPM_BUILD_ROOT%{_bindir}

cp -a demos $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a tools/pythonpoint/demos $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/pythonpoint-demos

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/reportlab/demos
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/reportlab/docs
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/reportlab/graphics/samples
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/reportlab/test

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt LICENSE.txt %{?with_doc:docs/*.pdf}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{py_sitedir}/_renderPM.so
%attr(755,root,root) %{py_sitedir}/_rl_accel.so
%attr(755,root,root) %{py_sitedir}/pyHnj.so
%attr(755,root,root) %{py_sitedir}/sgmlop.so
%dir %{py_sitedir}/reportlab
%if "%{py_ver}" > "2.4"
%{py_sitedir}/reportlab-%{version}-py*.egg-info
%endif
%{py_sitedir}/reportlab/*.py[co]
%dir %{py_sitedir}/reportlab/fonts
%{py_sitedir}/reportlab/fonts/*.afm
%{py_sitedir}/reportlab/fonts/*.pfb
%{py_sitedir}/reportlab/fonts/*.sfd
%{py_sitedir}/reportlab/fonts/*.ttf
%{py_sitedir}/reportlab/fonts/*.txt
%dir %{py_sitedir}/reportlab/graphics
%{py_sitedir}/reportlab/graphics/*.py[co]
%dir %{py_sitedir}/reportlab/graphics/charts
%{py_sitedir}/reportlab/graphics/charts/*.py[co]
%dir %{py_sitedir}/reportlab/graphics/barcode
%{py_sitedir}/reportlab/graphics/barcode/*.py[co]
%dir %{py_sitedir}/reportlab/graphics/widgets
%{py_sitedir}/reportlab/graphics/widgets/*.py[co]
%dir %{py_sitedir}/reportlab/lib
%{py_sitedir}/reportlab/lib/*.py[co]
%{py_sitedir}/reportlab/lib/*.mashed
%dir %{py_sitedir}/reportlab/pdfbase
%{py_sitedir}/reportlab/pdfbase/*.py[co]
%dir %{py_sitedir}/reportlab/pdfgen
%{py_sitedir}/reportlab/pdfgen/*.py[co]
%dir %{py_sitedir}/reportlab/platypus
%{py_sitedir}/reportlab/platypus/*.py[co]

%files examples
%defattr(644,root,root,755)
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/demos
%{_examplesdir}/%{name}-%{version}/pythonpoint-demos

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ReportLab.spec,v $
Revision 1.49  2010/07/08 17:21:31  arekm
- rel 3; doc build

Revision 1.48  2010/07/08 17:16:08  arekm
- fix PYTHONPATH for docs generation

Revision 1.47  2010/07/08 08:37:52  arekm
- release 2

Revision 1.46  2010/06/17 11:10:24  patrys
- 2.4

Revision 1.45  2009/07/08 12:58:42  matkor
- Release 2. Lowered BR: python-devel >= 1:2.4.

Revision 1.44  2009/07/08 11:18:29  patrys
- 2.3
- comes with all bells and whistles
- no longer noarch
- TODO: rename to python-reportlab

Revision 1.43  2008/10/03 18:00:29  arekm
- release 2

Revision 1.42  2007-11-19 16:07:10  patrys
- noarch

Revision 1.41  2007-11-19 15:43:16  patrys
- proper patch (fixes a bug in setup.py)
- use setup.py properly instead of ripping parts of it

Revision 1.40  2007-11-16 14:29:55  sls
- added setup.patch
- package to py_sitescriptdir again

Revision 1.39  2007-11-06 18:33:44  qboosh
- BR: rpm-pythonprov, macros for py_postclean

Revision 1.38  2007/11/06 18:31:12  qboosh
- python 2.5 for .egg-info

Revision 1.37  2007/11/06 16:14:46  patrys
- 2.1
- python files now in sitedir

Revision 1.36  2007/04/12 12:11:01  patrys
- up to 2.0, separate C extension

Revision 1.35  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.33  2006/12/29 13:51:21  qboosh
- readable files
- no macro in Obsoletes for old package

Revision 1.32  2006/12/29 13:34:04  qboosh
- tabs, unified examplesdir, missing dir

Revision 1.31  2006/12/29 09:48:24  teodor
- up to 1.21
- subpackage for examples

Revision 1.30  2006/12/01 15:36:05  ankry
s/python-Imaging/python-PIL/

Revision 1.29  2005/03/05 13:38:30  troll
- removed obsolete BR: rpm-pythonprov, rel 4

Revision 1.28  2004/12/24 22:13:58  adamg
- release 3 to rebuild with python 2.4

Revision 1.27  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.26  2004/08/29 20:12:20  undefine
- release 2

Revision 1.25  2004/08/29 20:08:55  undefine
- yet one test

Revision 1.24  2004/08/29 20:04:23  undefine
- small check...

Revision 1.23  2004/08/29 16:33:07  undefine
- update to 1.19, small stupid hack to allow build (remove @DEFS@ definition from Makefile)

Revision 1.22  2004/08/12 01:02:08  havner
- rel 1

Revision 1.21  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.20  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.19  2003/07/23 08:51:55  wiget
- finished update

Revision 1.18  2003/07/23 07:47:13  wiget
- updated to 1.18

Revision 1.17  2003/05/28 14:25:56  malekith
- use tr not sed for computing version (simpler and catched by distfiles)

Revision 1.16  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:25:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/07/24 15:21:14  wiget
- updated to 1.14

Revision 1.13  2002/07/23 20:09:55  marcus
- use new %%doc
- rel.3.

Revision 1.12  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.11  2002/04/11 13:54:47  wrobell
- rel. 2, stb

Revision 1.10  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.9  2002/04/04 18:14:31  wrobell
- fuck! now it is really 1.13 version :-/  -- play nicely with version in
  Source0 line

Revision 1.8  2002/04/04 18:06:56  wrobell
- ver. 1.13 /bugfix release/
- stb

Revision 1.7  2002/03/18 07:20:38  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.6  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/05 11:51:40  kloczek
- spec adapterized and some cosmetics.

Revision 1.3  2002/02/05 10:44:53  wrobell
- typo

Revision 1.2  2002/02/05 10:34:53  wrobell
- improve polish translation
- move demos to %{_examplesdir} dir

Revision 1.1  2002/02/04 19:17:55  misiek
- initial pld release
